The configuration that is available when creating a model using the ModelService.openAutoCreate method.

### Hierarchy

- ICreateModelOptions
  - IAutoCreateModelOptions

## Index

### Properties

- collection
- data
- ephemeral
- id
- overrideCollectionWorldPermissions
- userPermissions
- worldPermissions

## Properties

### collection

collection: string

Inherited from ICreateModelOptions.collection

The collection in which this model will live.

### Optionaldata

data: ModelDataInitializer

Inherited from ICreateModelOptions.data

The initial contents of the model, either provided directly or as the result of a callback function. This data should be easily serializable.

### Optionalephemeral

ephemeral: boolean

### Optionalid

id: string

Inherited from ICreateModelOptions.id

The model's ID. If not provided, a UUID will be generated.

Note that model IDs must be unique even across collections!

### OptionaloverrideCollectionWorldPermissions

overrideCollectionWorldPermissions: boolean

Inherited from ICreateModelOptions.overrideCollectionWorldPermissions

Set to true if the permissions set in this object should override those set in the parent collection.

### OptionaluserPermissions

userPermissions: object

Inherited from ICreateModelOptions.userPermissions

Per-user permissions can be set here, where the key is an existing user's username.

#### Type declaration

- ##### [username: string]: ModelPermissions

### OptionalworldPermissions

worldPermissions: ModelPermissions

Inherited from ICreateModelOptions.worldPermissions

Generic permissions for this model for all users.